{
  "name": "@bettercorp/service-base-plugin-tr069",
  "license": "AGPL-3.0-only",
  "repository": {
    "url": "https://gitlab.com/BetterCorp/public/service-base-plugin-tr069"
  },
  "scripts": {
    "build": "tsc",
    "version": "node ./node_modules/@bettercorp/service-base/build/version-bcorp.js $0",
    "create": "ts-node node_modules/@bettercorp/service-base/lib/bootstrap.js $0",
    "dev": "nodemon --config node_modules/@bettercorp/service-base/build/nodemon.json",
    "start": "ts-node node_modules/@bettercorp/service-base/lib/index.js"
  },
  "files": [
    "lib/**/*"
  ],
  "main": "lib/index.js",
  "version": "4.1.0",
  "bsb_project": true,
  "devDependencies": {
    "@types/bluebird": "^3.5.36",
    "@types/ioredis": "^4.28.10",
    "@types/node": "^17.0.44",
    "@types/readable-stream": "^2.3.13",
    "@types/ws": "^8.5.3",
    "@typescript-eslint/eslint-plugin": "^5.28.0",
    "@typescript-eslint/parser": "^5.28.0",
    "eslint": "^8.17.0",
    "ts-node": "^10.8.1",
    "typescript": "^4.7.3"
  },
  "dependencies": {
    "@bettercorp/service-base": "^7.6.20220531162851",
    "@bettercorp/service-base-plugin-events-rabbitmq": "^2.1.20220615151903",
    "@bettercorp/service-base-plugin-web-server": "^4.1.20220429033429",
    "@bettercorp/tools": "^2.0.20220613145514",
    "body-parser": "^1.20.0",
    "body-parser-xml": "^2.0.3",
    "cron": "^2.0.0",
    "fastify-xml-body-parser": "^2.1.1",
    "ioredis": "^5.0.6",
    "json-checksum": "^0.1.4",
    "minio": "^7.0.28",
    "ravendb": "^5.2.3",
    "redis-modules-sdk": "^1.2.6",
    "xml2js": "^0.4.23"
  }
}
